libnvme(2)

NAME
struct nvme_lm_nvme_controller_state_data - NVMe Controller State data structure describes the state of a NVMe Controller's I/O Submission and I/O Completion queues

SYNOPSIS
struct nvme_lm_nvme_controller_state_data {
struct nvme_lm_nvme_controller_state_data_header hdr;
union {
struct nvme_lm_io_submission_queue_data sqs[0];
struct nvme_lm_io_completion_queue_data cqs[0];
};
};

Members

hdr Header

{unnamed_union}
    anonymous

sqs I/O Submission Queue list

cqs I/O Completion Queue list